Skip to main content
Astra Automation
本产品推出了新版本。
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

创建新存储桶

POST /accounts/{account_id}/topology/v1/buckets

指示要创建的 Bucket API 资源的所需值。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

请求正文

指示要创建的 Bucket API 资源的所需值。

名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-bucket"

version

string

True

资源的版本。定义的值为:

  • "1.0"

  • "1.1"

  • "1.2"

name

string

False

包含用户分配的存储桶名称的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:256

凭证 ID

string

True

包含用于访问存储区的凭据标识符的 JSON 字符串。定义的值为:

  • 符合 Astra 标识符架构

提供商

string

True

JSON 字符串,表示可用于访问存储桶的存储桶协议。定义的值为:

  • "ontap-s3"

  • "storagegrid-s3"

  • “generic-s3”

  • "gcp"

  • "azure"

  • "aws"

bucketParameters

"bucketParameters"

True

提供访问存储桶所需的存储桶提供程序特定信息的 JSON 对象。此存储桶中的特定值因提供程序而异。

元数据

"type_astra_metadata_update"

False

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

请求示例
{
  "type": "application/astra-bucket",
  "version": "1.2",
  "name": "Test Bucket",
  "credentialID": "d5b3854c-38de-42c6-9269-b5c052aba76f",
  "provider": "gcp",
  "bucketParameters": {
    "gcp": {
      "bucketName": "bucketName"
    }
  }
}

响应

Status: 201, Returns the newly created bucket resource in the JSON response body.
名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-bucket"

version

string

True

资源的版本。定义的值为:

  • "1.0"

  • "1.1"

  • "1.2"

id

string

True

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

name

string

True

包含用户分配的存储桶名称的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:256

凭证 ID

string

True

包含用于访问存储区的凭据标识符的 JSON 字符串。定义的值为:

  • 符合 Astra 标识符架构

状态

string

True

包含指示存储桶操作状态的值的 JSON 字符串。定义的值为:

  • "pending" - 已计划发现存储桶

  • "available" - 存储桶可供使用

  • "failed" - 存储桶处于永久失败状态

  • "removed" - 存储桶当前不可访问

  • "unknown" - 无法确定存储桶状态

stateDetails

数组["type_astra_stateDetail"]

True

JSON 对象的 JSON 数组,列出有关"state"转换为"removed"或"failed"的其他详细信息。如果没有可用的详细信息,此数组将为空。

  • 最小项目数:0

提供商

string

True

JSON 字符串,表示可用于访问存储桶的存储桶协议。定义的值为:

  • "ontap-s3"

  • "storagegrid-s3"

  • “generic-s3”

  • "gcp"

  • "azure"

  • "aws"

bucketParameters

"bucketParameters"

True

提供访问存储桶所需的存储桶提供程序特定信息的 JSON 对象。此存储桶中的特定值因提供程序而异。

元数据

"type_astra_metadata_update"

True

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

响应示例
{
  "type": "application/astra-bucket",
  "version": "1.2",
  "id": "9b296ce0-c545-5022-acfa-1980c5aaea97",
  "name": "Test Bucket",
  "credentialID": "8f039324-7795-40bf-a5ca-4442580f7ab0",
  "state": "available",
  "stateDetails": [],
  "provider": "gcp",
  "bucketParameters": {
    "gcp": {
      "bucketName": "bucketName"
    }
  },
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

响应

Status: 401, Unauthorized
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidFields

数组["invalidFields"]

False

无效请求正文字段列表

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 409, Conflict
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidFields

数组["invalidFields"]

False

无效请求正文字段列表

响应示例
{
  "type": "https://astra.netapp.io/problems/10",
  "title": "JSON resource conflict",
  "detail": "The request body JSON contains a field that conflicts with an idempotent value.",
  "status": "409"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

s3

提供 Simple Storage Service (S3) 协议参数的 JSON 对象。(将此对象用于所有 S3 类型提供程序)。

名称 Type Required Description

服务器 URL

string

True

包含存储桶基本路径 URL 的 JSON 字符串。定义的值为:

  • 最小长度:0

  • 最大长度:1023

bucketName

string

True

包含 S3 存储桶名称的 JSON 字符串。定义的值为:

  • 最小长度:0

  • 最大长度:63

gcp

提供 Google Cloud 协议参数的 JSON 对象。

名称 Type Required Description

bucketName

string

True

包含支持的 Google Cloud 存储桶名称的 JSON 字符串。定义的值为:

  • 最小长度:0

  • 最大长度:63

azure

提供 Azure 协议参数的 JSON 对象。

名称 Type Required Description

storageAccount

string

True

包含 Azure 存储帐户名称的 JSON 字符串。定义的值为:

  • 最小长度:0

  • 最大长度:63

bucketName

string

True

包含支持的 Azure blob 名称的 JSON 字符串。定义的值为:

  • 最小长度:0

  • 最大长度:63

bucketParameters

提供访问存储桶所需的存储桶提供程序特定信息的 JSON 对象。此存储桶中的特定值因提供程序而异。

名称 Type Required Description

s3

"s3"

False

提供 Simple Storage Service (S3) 协议参数的 JSON 对象。(将此对象用于所有 S3 类型提供程序)。

gcp

"gcp"

False

提供 Google Cloud 协议参数的 JSON 对象。

azure

"azure"

False

提供 Azure 协议参数的 JSON 对象。

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata_update

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

名称 Type Required Description

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

additionalDetails

type_astra_stateDetail

名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

additionalDetails

"additionalDetails"

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因

invalidFields

名称 Type Required Description

name

string

True

无效请求正文字段的名称

原因

string

True

请求正文字段无效的原因